> For the complete documentation index, see [llms.txt](https://xcs-plugin.gitbook.io/cursorcs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://xcs-plugin.gitbook.io/cursorcs/reference/commands.md).

# commands

## Root commands

* `/cursor` - Main cursor system command

***

## `/cursor` subcommands

### Session control

* `/cursor start` - Start camera cursor mode
* `/cursor start fake` - Start with fake holograms mode
* `/cursor start <group>` - Start and apply group
* `/cursor start fake <group>` - Start fake mode and apply group
* `/cursor stop` - Stop camera mode

### Reload and runtime updates

* `/cursor reload` - Reload all runtime systems and refresh active sessions
* `/cursor reloadholograms` - Reload static hologram files
* `/cursor reloadclickable` - Reload clickable area files
* `/cursor reloadgroups` - Reload hologram group files
* `/cursor reloadnpc` - Reload NPC-related config

### Hologram mode tools

* `/cursor fake` - Switch active session to fake holograms
* `/cursor static` - Switch active session to static holograms
* `/cursor clearclass` - Clear active class state

### Setup and editor tools

* `/cursor editor` - Toggle editor mode
* `/cursor select <hologram_name>` - Select hologram in editor mode
* `/cursor select none` - Clear selection
* `/cursor area` - Toggle area selection mode for coordinate capture
* `/cursor addclickable <name> <minX> <maxX> <minY> <maxY> <action> [hologram_to_change] [new_text_or_hologram]`

### Prediction tools (experimental)

* `/cursor prediction toggle`
* `/cursor prediction status`
* `/cursor prediction strength <0.0-1.0>`
* `/cursor prediction debug`
* `/cursor prediction reset`

### Cache tools

* `/cursor cache`
* `/cursor cache clear`
* `/cursor cache reload`

### Debug

* `/cursor debug` - Toggle debug mode and print diagnostic info

***

## `/tempnpc`

```bash
/tempnpc [name] [skin] [scale] [duration_seconds]
```

* `name` (optional): NPC custom name
* `skin` (optional): NPC skin identifier
* `scale` (optional): float, default `1.5`
* `duration_seconds` (optional): int, default `5`

***

## `/hologramtoggle`

```bash
/hologramtoggle <on|off|status|test|verify|fake>
```

* `on` - Enable static holograms
* `off` - Disable static holograms
* `status` - Print current hologram system state
* `test` - Spawn a fake hologram test
* `verify` - Verify fake hologram behavior
* `fake` - Test static-to-fake recreation flow

Permission required:

* `cursorcs.hologram.toggle`

***

## Command feedback behavior

For clean production UX, most `/cursor` outputs are silent unless the player has debug mode enabled with:

```bash
/cursor debug
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://xcs-plugin.gitbook.io/cursorcs/reference/commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
